Bug 5765 - solaris sh does not support test -e
solaris sh does not support test -e
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Build environment
3.2.2
x86 Solaris
: P3 normal
: ---
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 10:52 UTC by mchugh19@yahoo.com
Modified: 2008-10-27 07:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mchugh19@yahoo.com 2008-09-15 10:52:42 UTC
At the end of the make install process, the Makefile tries to run "if test -e" with the sh shell. The solaris 10 test man page reports "-e file True if file exists. (Not  available in sh.)" Which causes part of the install process to fail.
Comment 1 mchugh19@yahoo.com 2008-09-17 15:46:50 UTC
Workarounds include changing /bin/sh in the Makefile to /bin/bash or replacing the test -e with test -r
Comment 2 Michael Adam 2008-10-27 07:55:08 UTC
Thanks for reporting!
Fix using test -r pushed to master, v3-3-test and v3-2-test.

Michael